Avro C#

Public Member Functions | List of all members
Avro.Generic.PreresolvingDatumWriter< T >.DictionaryMapAccess Class Reference

Provides access to map properties from an IDictionary. More...

Inheritance diagram for Avro.Generic.PreresolvingDatumWriter< T >.DictionaryMapAccess:

## Public Member Functions
void | EnsureMapObject (object value)
| Checks if the given object is a map. If it is a valid map, this function returns normally. Otherwise, it throws an exception. The default implementation checks if the value is an IDictionary<string, object>.
long | GetMapSize (object value)
| Returns the size of the map object. The default implementation guarantees that EnsureMapObject has been successfully called with the given value. The default implementation requires the value to be an IDictionary<string, object> and returns the number of elements in it.
void | WriteMapValues (object map, WriteItem valueWriter, Encoder encoder)
| Writes each value in the given map to the encoder using the valueWriter . The default implementation of this method requires that the map is an IDictionary<string, object>.

## Detailed Description

Provides access to map properties from an IDictionary.

The documentation for this class was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumWriter.cs